### Property

# Ide Device:icon-name

#### Declaration

    property icon-name: utf8 [ read, write ]

#### Description

The “icon-name” property is the icon to display with the device in various UI elements of Builder.

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_device_set_icon_name()`
Getter method | `ide_device_get_icon_name()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no